%define major 4
%define libname %mklibname smb4kcore %{major}

Name:		smb4k
Version:	1.2.3
Release:	%mkrel 1
Summary:	A KDE SMB share browser
License:	GPLv2+
Group:		Networking/Other
Url:		http://smb4k.sourceforge.net
Source:		http://downloads.sourceforge.net/smb4k/%{name}-%{version}.tar.xz
Patch0:		smb4k-1.2.3-CVE-2017-8849.patch
BuildRequires:	kdelibs4-devel
Requires:	samba-client
Requires:	%{libname} = %{version}
Obsoletes:	%{mklibname smb4kdialogs 2} < %{version}-%{release}
Conflicts:	%{name}-devel < 0.10.0-rc

%description
An SMB network and share browser for KDE 4 or later.

%files -f %{name}.lang
%{_kde_sysconfdir}/dbus-1/system.d/net.sourceforge.smb4k.mounthelper.conf
%{_kde_bindir}/smb4k*
%{_kde_datadir}/apps/kconf_update/*
%{_kde_datadir}/dbus-1/system-services/net.sourceforge.smb4k.mounthelper.service
%{_kde_datadir}/polkit-1/actions/net.sourceforge.smb4k.mounthelper.policy
%{_kde_libdir}/kde4/*.so
#%%{_kde_libdir}/libkdeinit4_smb4k.so
%{_kde_libdir}/libsmb4ktooltips.so
%{_kde_libdir}/kde4/libexec/mounthelper
%{_kde_applicationsdir}/smb4k.desktop
%{_kde_services}/plasma-applet-smb4k-qml.desktop
%{_kde_appsdir}/smb4k/
%{_kde_appsdir}/plasma/plasmoids/smb4k-qml/
%{_kde_datadir}/config.kcfg/smb4k.kcfg
%{_kde_appdatadir}/smb4k.appdata.xml
%{_kde_iconsdir}/*/*/*/*

#------------------------------------------------	
%package -n %{libname}
Summary:	SMB4K core library
Group:		System/Libraries

%description -n %{libname}
Library for %{name}.

%files -n %{libname}
%{_kde_libdir}/libsmb4kcore.so.%{major}*

#------------------------------------------------
%package devel
Summary:	SMB4K development files
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}

%description devel
Development files for applications that need %{name}.

%files devel
%{_kde_libdir}/libsmb4kcore.so


#------------------------------------------------
%prep
%setup -q
%patch0 -p1

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-html --all-name


%changelog
* Sun Jun 11 2017 daviddavid <daviddavid> 1.2.3-1.mga5
+ Revision: 1107559
- new version: 1.2.3
- add upstream patch to fix CVE-2017-8849 (mga#20844)

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-3.mga5
+ Revision: 742970
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-2.mga5
+ Revision: 689206
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 luigiwalser <luigiwalser> 1.1.2-1.mga5
+ Revision: 633266
- 1.1.2 (fixes CVE-2014-2581)

* Sat Oct 19 2013 umeabot <umeabot> 1.0.7-2.mga4
+ Revision: 524175
- Mageia 4 Mass Rebuild

* Wed May 29 2013 fwang <fwang> 1.0.7-1.mga4
+ Revision: 430459
- new version 1.0.7

* Mon Jan 14 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 382195
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 fwang <fwang> 1.0.4-1.mga3
+ Revision: 288734
- new version 1.0.4

* Mon Jun 25 2012 fwang <fwang> 1.0.3-1.mga3
+ Revision: 263417
- new version 1.0.3

* Fri Jun 01 2012 fwang <fwang> 1.0.2-1.mga3
+ Revision: 252660
- new version 1.0.2

* Sun Feb 05 2012 fwang <fwang> 1.0.0-1.mga2
+ Revision: 205060
- new version 1.0.0

* Tue Jan 24 2012 fwang <fwang> 0.10.92-1.mga2
+ Revision: 200527
- new version 0.10.92

* Wed Nov 16 2011 fwang <fwang> 0.10.90-1.mga2
+ Revision: 168087
- update file list
- new version 0.10.90

  + ze <ze>
    - version 0.10.71 (1.0.0 beta2)

* Fri Jul 08 2011 ze <ze> 0.10.70-1.mga2
+ Revision: 120037
- 0.10.70
- remove explicite requires since they already are handled internally
- put lib macro in top to be able to add explicite require to version in main package
- set requires to version only since this is an oficial release
- remove too old obsolete entries that are no longer in use
- imported package smb4k


* Mon Jun 27 2011 Funda Wang <fwang@mandriva.org> 0.10.10-2mdv2011.0
+ Revision: 687517
- add fedora patch to try fix bug#63521 (only works under konsole)

* Tue Mar 08 2011 Funda Wang <fwang@mandriva.org> 0.10.10-1
+ Revision: 642972
- update to new version 0.10.10

* Sat Sep 11 2010 Funda Wang <fwang@mandriva.org> 0.10.9-1mdv2011.0
+ Revision: 577577
- new version 0.10.9

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 0.10.8-1mdv2011.0
+ Revision: 571607
- update to new version 0.10.8

* Sun May 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.7-2mdv2010.1
+ Revision: 541670
- Fix patch0
- Fix i18n error in Warning window
  This does not fix bug 58877, but at least fix the display
  CCBUG: 58877

* Wed Apr 07 2010 Funda Wang <fwang@mandriva.org> 0.10.7-1mdv2010.1
+ Revision: 532669
- update to new version 0.10.7

* Thu Mar 25 2010 Funda Wang <fwang@mandriva.org> 0.10.6-1mdv2010.1
+ Revision: 527362
- new version 0.10.6

* Sun Feb 14 2010 Funda Wang <fwang@mandriva.org> 0.10.5-1mdv2010.1
+ Revision: 505829
- New version 0.10.5

* Thu Oct 08 2009 Funda Wang <fwang@mandriva.org> 0.10.4-1mdv2010.0
+ Revision: 456086
- should be 1mdv

* Tue Oct 06 2009 Funda Wang <fwang@mandriva.org> 0.10.4-0.1mdv2010.0
+ Revision: 454642
- New version 0.10.4 (fix crash upon startup)

* Thu Oct 01 2009 Funda Wang <fwang@mandriva.org> 0.10.3-1mdv2010.0
+ Revision: 451925
- New version 0.10.3

* Wed Feb 25 2009 Frederik Himpe <fhimpe@mandriva.org> 0.10.2-1mdv2009.1
+ Revision: 344939
- Update to new version 0.10.2

* Mon Oct 13 2008 Funda Wang <fwang@mandriva.org> 0.10.1-1mdv2009.1
+ Revision: 293065
- New version 0.10.1

* Sat Aug 30 2008 Frederik Himpe <fhimpe@mandriva.org> 0.10.0-1mdv2009.0
+ Revision: 277649
- Update to final 0.10.0 version

* Mon Aug 11 2008 Funda Wang <fwang@mandriva.org> 0.10.0-0.rc.1mdv2009.0
+ Revision: 270668
- New version 0.10.0 rc
- smb4kdialogs becomes non-versioned

* Fri Jul 25 2008 Funda Wang <fwang@mandriva.org> 0.10.0-0.beta2.1mdv2009.0
+ Revision: 248414
- add icon files
- add patch to fix doc install
- 0.10.0 beta2

* Sun Jul 06 2008 Funda Wang <fwang@mandriva.org> 0.10.0-0.beta1.1mdv2009.0
+ Revision: 232238
- New version 0.10.0 beta 1

* Mon Jun 23 2008 Funda Wang <fwang@mandriva.org> 0.10.0-0.alpha.1mdv2009.0
+ Revision: 228080
- New version 0.10.0 alpha ( KDE4 version )

* Sun Jun 15 2008 Funda Wang <fwang@mandriva.org> 0.9.6-1mdv2009.0
+ Revision: 219283
- New version 0.9.6

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Jun 06 2008 Helio Chissini de Castro <helio@mandriva.com> 0.9.5-2mdv2009.0
+ Revision: 216542
- kde 3 application. kde 3 based. Goes to /opt

* Fri Jun 06 2008 Funda Wang <fwang@mandriva.org> 0.9.5-1mdv2009.0
+ Revision: 216483
- New version 0.9.5

* Thu May 08 2008 Helio Chissini de Castro <helio@mandriva.com> 0.9.4-2mdv2009.0
+ Revision: 204610
- Move for new kde3 path

  + Funda Wang <fwang@mandriva.org>
    - fix file list
    - New version 0.9.4

* Sun Feb 24 2008 Funda Wang <fwang@mandriva.org> 0.9.3-1mdv2008.1
+ Revision: 174267
- New version 0.9.3

* Sun Jan 20 2008 Funda Wang <fwang@mandriva.org> 0.9.2-1mdv2008.1
+ Revision: 155292
- New version 0.9.2

  + Thierry Vignaud <tv@mandriva.org>
    - fix description

* Tue Jan 01 2008 Funda Wang <fwang@mandriva.org> 0.9.1-2mdv2008.1
+ Revision: 139977
- move *.la into main pacakge
- finally move libsmb4kdialogs.la into main package (bug#36435)

* Mon Dec 31 2007 Funda Wang <fwang@mandriva.org> 0.9.1-1mdv2008.1
+ Revision: 139764
- New version 0.9.1

* Sat Dec 29 2007 Funda Wang <fwang@mandriva.org> 0.9.0-3mdv2008.1
+ Revision: 139066
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Funda Wang <fwang@mandriva.org> 0.9.0-2mdv2008.1
+ Revision: 136273
- move libsmb4kdialogs.so into main package

* Tue Dec 18 2007 Funda Wang <fwang@mandriva.org> 0.9.0-1mdv2008.1
+ Revision: 131995
- obsoletes old devel name
- obsoletes old lib and devel package
- New version 0.9.0
- drop libname as it is useless for standalone application

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Funda Wang <fwang@mandriva.org> 0.8.7-1mdv2008.1
+ Revision: 113709
- New version 0.8.7

* Wed Oct 17 2007 Funda Wang <fwang@mandriva.org> 0.8.6-1mdv2008.1
+ Revision: 99494
- New version 0.8.6

* Mon Oct 15 2007 Funda Wang <fwang@mandriva.org> 0.8.5-1mdv2008.1
+ Revision: 98366
- New version 0.8.5

* Wed Aug 29 2007 Funda Wang <fwang@mandriva.org> 0.8.4-2mdv2008.0
+ Revision: 73530
- fix menu category -> Only Network/FileTransfer now.

  + Anssi Hannula <anssi@mandriva.org>
    - drop hardcoded packager tag

* Mon Jul 16 2007 Funda Wang <fwang@mandriva.org> 0.8.4-1mdv2008.0
+ Revision: 52398
- New version

* Thu May 03 2007 Laurent Montel <lmontel@mandriva.org> 0.8.3-1mdv2008.0
+ Revision: 20865
- 0.8.3


* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.8.0-3mdv2007.0
+ Revision: 106739
- fix provides

* Tue Jan 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.0-2mdv2007.1
+ Revision: 103055
- Fix BuildRequires
- Fix symplinks for doc
- Kill old debian menu style

* Fri Dec 22 2006 Laurent Montel <lmontel@mandriva.com> 0.8.0-1mdv2007.1
+ Revision: 101485
- 0.8.0

* Mon Nov 27 2006 Laurent Montel <lmontel@mandriva.com> 0.7.5-1mdv2007.1
+ Revision: 87355
- 0.7.5

* Sun Nov 12 2006 Laurent Montel <lmontel@mandriva.com> 0.7.4-1mdv2007.1
+ Revision: 83284
- 0.7.4

* Fri Oct 20 2006 Laurent Montel <lmontel@mandriva.com> 0.7.3-1mdv2007.0
+ Revision: 71226
- 0.7.3
- Import smb4k

* Fri Aug 04 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-1
- 0.7.2

* Mon Jun 19 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.1-1
- 0.7.1

* Mon Apr 24 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.0-1
- 0.7.0

* Tue Apr 18 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.10-1
- 0.6.10

* Fri Mar 24 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.9-1
- 0.6.9

* Sat Mar 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.8-2mdk
- Complete french translation (Ticket # 20096)

* Mon Feb 27 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.8-1
- 0.6.8

* Sun Feb 05 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.7-1
- 0.6.7

* Sun Feb 05 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.6-1
- 0.6.6

* Sat Jan 07 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.5-1
- 0.6.5

* Tue Dec 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.4-1
- 0.6.4

* Thu Sep 01 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-1
- 0.6.3

* Wed Aug 31 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.2-2
- Add patch1: disable ok button when smb url is empty

* Tue Aug 30 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.2-1
- New release (security fix)
- Fix compile under x86_64

* Tue Aug 02 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.1-1mdk
- New release 0.6.1
- update compatability macros, remove unused macros, fix source url
- run ldconfig in lib package scriplets
- make devel package require lib package
- remove buildroot path from libtool files

* Tue Jul 19 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.0--r 2 0.6.0
- Fix build on x86_64

* Sat Jun 18 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.0--r 1 0.6.0
- 0.6.0

* Thu Feb 17 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.5.1-1mdk
- 0.5.1

* Wed Jan 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.0--r 1 0.5.0
- 0.5.0

* Tue Dec 21 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.5.0-0.pre3.1mdk
- 0.5.0pre3
- implement distro-specific release tag and use mkver for pre-version
  handling

* Sat Aug 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.0-3mdk
- Rebuild with new menu conversion table

* Sat Jun 05 2004 <lmontel@n2.mandrakesoft.com> 0.4.0-2mdk
- Rebuild

* Sat May 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.0-1mdk
- 0.4.0

* Wed Apr 14 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.3.2-3mdk
- require samba-client (#9481)
- drop unused libsmbclient-devel buildrequires

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 0.3.2-2mdk
- Fix menu

* Tue Feb 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-1mdk
- from Diego CLAEYS (Romax MANIAX) :
	- Update to new version 0.3.2

